debconf: unable to initialize frontend: Dialog的解决方法

最近在用了debian-7.0-x86-minimal版本系统的VPS上要安装OneinStack的时候,首先要运行安装:

apt-get -y install wget screen python

这时候会出现如下出错信息:

debconf: unable to initialize frontend: Dialog
debconf: (No usable dialog-like program is installed, so the dialog
based fronte
debconf: falling back to frontend: Readline
Selecting previously deselected package libattr1.
debconf: unable to initialize frontend: Dialog
debconf: falling back to frontend: Readline

提示这些代码是因为系统中缺少 dialog-like 程序,一般出现在最小化安装的ubuntu系统或者debian系统上。

我们可以使用安装软件的方法解决(sudo权限):

apt-get install dialog 或 apt-get install whiptail

Leave a Reply

Your email address will not be published. Required fields are marked *

返回主页看更多
狠狠的抽打博主 支付宝 扫一扫